org.apache.pdfbox.contentstream.operator.graphics

## Class GraphicsOperatorProcessor

- java.lang.Object
- - org.apache.pdfbox.contentstream.operator.OperatorProcessor
  - - org.apache.pdfbox.contentstream.operator.graphics.GraphicsOperatorProcessor

Direct Known Subclasses:
  AppendRectangleToPath, BeginInlineImage, ClipEvenOddRule, ClipNonZeroRule, CloseAndStrokePath, CloseFillEvenOddAndStrokePath, CloseFillNonZeroAndStrokePath, ClosePath, CurveTo, CurveToReplicateFinalPoint, CurveToReplicateInitialPoint, DrawObject, EndPath, FillEvenOddAndStrokePath, FillEvenOddRule, FillNonZeroAndStrokePath, FillNonZeroRule, LineTo, MoveTo, ShadingFill, StrokePath

    public abstract class GraphicsOperatorProcessor
    extends OperatorProcessor

Base class for graphics operators.

Author:
  John Hewson

### Constructor Summary

Constructors
`protected` `GraphicsOperatorProcessor(PDFGraphicsStreamEngine context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected PDFGraphicsStreamEngine` `getGraphicsContext()` GraphicsOperatorProcessor uses a specialized engine.

### Methods inherited from class org.apache.pdfbox.contentstream.operator.OperatorProcessor

`checkArrayTypesClass, getContext, getName, process`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GraphicsOperatorProcessor

    protected GraphicsOperatorProcessor(PDFGraphicsStreamEngine context)

### Method Detail

#### getGraphicsContext

    protected PDFGraphicsStreamEngine getGraphicsContext()

GraphicsOperatorProcessor uses a specialized engine.

Returns:
  PDFGraphicsStreamEngine to be used for processing